Form designer in TypeScript PDF Viewer

16 Feb 20266 minutes to read

When Form Designer mode is enabled in the Syncfusion TypeScript PDF Viewer, a default Form Designer user interface (UI) is displayed. This UI includes a built-in toolbar for adding form fields such as text boxes, password fields, check boxes, radio buttons, drop-down lists, list boxes, and signature and initial fields.

Using the Form Designer UI, users can place form fields on the PDF, move and resize them, configure field and widget properties, preview the designed form, and remove fields when required. The Form Designer toolbar can also be shown or hidden and customized to control the available tools based on application requirements, enabling flexible and interactive form design directly within the viewer.

Key features

Add Form Fields
You can add the following form fields to the PDF:

Edit form fields
You can move, resize, align, distribute, copy, paste, and undo or redo changes to form fields.

Set Field Properties
You can configure field properties such as name, value, font, color, border, alignment, visibility, tab order, and required or read only state.

Control Field Behavior
You can enable or disable read only mode, show or hide fields, and control whether fields appear when printing the document.

Manage Form Fields
You can select, group or ungroup, reorder, and delete form fields as needed.

Save and Print Forms
Designed form fields can be saved into the PDF document and printed with their appearances.

Enable Form Designer

To enable form design features, inject the FormDesigner module into the PDF Viewer. After injecting the module, use the enableFormDesigner API to show or hide the Form Designer option in the main toolbar.

import {
  PdfViewer,
  FormFields,
  FormDesigner,
  Toolbar,
  Magnification,
  Navigation,
  Annotation,
  TextSelection,
  TextSearch,
} from '@syncfusion/ej2-pdfviewer';
PdfViewer.Inject(
  FormFields,
  FormDesigner,
  Toolbar,
  Magnification,
  Navigation,
  Annotation,
  TextSelection,
  TextSearch
);
let pdfviewer: PdfViewer = new PdfViewer();
pdfviewer.documentPath =
  'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf';
pdfviewer.resourceUrl =
  'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib';
pdfviewer.enableFormDesigner = false;
pdfviewer.appendTo('#PdfViewer');

Form designer UI

When Form Designer mode is enabled in the Syncfusion TypeScript PDF Viewer, a default Form Designer user interface (UI) is displayed. This UI provides a built in toolbar for adding common form fields such as text boxes, check boxes, radio buttons, drop down lists, and signature fields. Users can place fields on the PDF, select them, resize or move them, and configure their properties using the available editing options, enabling interactive form creation directly within the viewer.

FormDesigner

For more information about creating and editing form fields in the PDF Viewer, refer to the Form Creation in TypeScript PDF Viewer documentation.

Form designer toolbar

The Form Designer toolbar appears at the top of the PDF Viewer and provides quick access to form field creation tools. It includes frequently used field types such as:

Each toolbar item allows users to place the corresponding form field by selecting the tool and clicking on the desired location in the PDF document.

Adding Text Box

Use the following Code-snippet to enable Form Designer by injecting Form Designer mode Module.

import {
  PdfViewer,
  FormFields,
  FormDesigner,
  Toolbar,
  Magnification,
  Navigation,
  Annotation,
  TextSelection,
  TextSearch,
} from '@syncfusion/ej2-pdfviewer';
PdfViewer.Inject(
  FormFields,
  FormDesigner,
  Toolbar,
  Magnification,
  Navigation,
  Annotation,
  TextSelection,
  TextSearch
);
let pdfviewer: PdfViewer = new PdfViewer();
pdfviewer.documentPath =
  'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf';
pdfviewer.resourceUrl =
  'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib';
pdfviewer.enableFormDesigner = false;
pdfviewer.appendTo('#PdfViewer');

For more information about creating and editing form fields in the PDF Viewer, refer to the Form Creation in TypeScript PDF Viewer documentation.

Show or Hide the Built-in Form Designer Toolbar

You can control the visibility of the Form Designer toolbar using the isFormDesignerToolbarVisible() method. This allows you to display or hide the Form Designer tools in the PDF Viewer based on your application requirements.

Use this method to:

  • Show the Form Designer toolbar when form design is required
  • Hide the toolbar to provide cleaner viewing experience
<!-- Buttons to toggle the Form Designer toolbar -->
<button id="showDesignerBtn">Show Form Designer Toolbar</button>
<button id="hideDesignerBtn">Hide Form Designer Toolbar</button>
//  Wire up buttons 
document.getElementById('showDesignerBtn')!.onclick = () => {
  pdfviewer.isFormDesignerToolbarVisible=true;
};
document.getElementById('hideDesignerBtn')!.onclick = () => {
  pdfviewer.isFormDesignerToolbarVisible=false;
};

Customize the Built-in Form Designer Toolbar

You can customize the Form Designer toolbar by specifying the tools to display and arranging them in the required order using the FormDesignerToolbarItems property.

This customization helps you limit the available tools and simplify the user interface.

Key Points

  • Include only the toolbar items you need, in the exact order you specify.
  • Any toolbar items not listed remain hidden, resulting in a cleaner and more focused UI.
//Customize the Built-in Form Designer Toolbar
pdfviewer.toolbarSettings = {
    formDesignerToolbarItems: [
        "TextboxTool",
        "PasswordTool",
        "CheckBoxTool",
        "RadioButtonTool",
        "DropdownTool",
        "ListboxTool",
        "DrawSignatureTool",
        "DeleteTool"
    ]
};

Move, resize, and edit form fields

Move, resize, and edit an existing form field directly in the PDF Viewer using the Form Designer.

  • Move a field by selecting it and dragging it to the required position.

  • Resize a field using the handles displayed on the field boundary.

Moving and resizing a form field

  • Edit a field by selecting it to open the Form Field Properties popover. The popover allows modification of form field and widget annotation properties. Changes are reflected immediately in the viewer and saved when the properties popover is closed.
    For more information, see Editing Form Fields

Deleting form fields

Remove a form field from the PDF document by selecting the field and using one of the following methods:

  • Click the Delete option in the Form Designer UI.
  • Press the Delete key on the keyboard after selecting the form field.

The selected form field and its associated widget annotation are permanently removed from the page.
For more information, see Deleting form fields

See also

Form Designer in Angular PDF Viewer

7 Apr 20266 minutes to read

When Form Designer mode is enabled in the Syncfusion Angular PDF Viewer, a default Form Designer user interface (UI) is displayed. This UI includes a built-in toolbar for adding form fields such as text boxes, password fields, check boxes, radio buttons, drop down lists, list boxes, and signature and initial fields.

Using the Form Designer UI, users can place form fields on the PDF, move and resize them, configure field and widget properties, preview the designed form, and remove fields when required. The Form Designer toolbar can also be shown or hidden and customized to control the available tools based on application requirements, enabling flexible and interactive form design directly within the viewer.

Key Features

Add Form Fields
You can add the following form fields to the PDF:

Edit Form Fields
You can move, resize, align, distribute, copy, paste, and undo or redo changes to form fields.

Set Field Properties
You can configure field properties such as name, value, font, color, border, alignment, visibility, tab order, and required or read only state.

Control Field Behavior
You can enable or disable read only mode, show or hide fields, and control whether fields appear when printing the document.

Manage Form Fields
You can select, group or ungroup, reorder, and delete form fields as needed.

Save and Print Forms
Designed form fields can be saved into the PDF document and printed with their appearances.

Form Designer with UI interaction

When Form Designer mode is enabled in the Syncfusion Angular PDF Viewer, a default Form Designer user interface (UI) is displayed. This UI provides a built-in toolbar for adding common form fields such as text boxes, check boxes, radio buttons, drop down lists, and signature fields. Users can place fields on the PDF, select them, resize or move them, and configure their properties using the available editing options, enabling interactive form creation directly within the viewer.

FormDesigner

For more information about creating and editing form fields in the PDF Viewer, refer to the Form Creation in Angular PDF Viewer documentation.

Enable Form Designer

To enable form design features, inject the FormDesigner module into the PDF Viewer. After injecting the module, use the enableFormDesigner property or API to enable or disable the Form Designer option in the main toolbar (set to true to enable). Note: the standalone examples below show enableFormDesigner set to false; change this to true to enable form design in those samples.

import { Component, OnInit } from '@angular/core';
import {
  ToolbarService,
  MagnificationService,
  NavigationService,
  AnnotationService,
  TextSelectionService,
  TextSearchService,
  FormFieldsService,
  FormDesignerService,
  PdfViewerModule,
} from '@syncfusion/ej2-angular-pdfviewer';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [PdfViewerModule],
  template: `
    <div class="content-wrapper">
      <ejs-pdfviewer
        id="pdfViewer"
        [resourceUrl]="resourceUrl"
        [documentPath]="document"
        [enableFormDesigner]="false"
        style="height: 640px; display: block;">
      </ejs-pdfviewer>
    </div>
  `,
  providers: [
    ToolbarService,
    MagnificationService,
    NavigationService,
    AnnotationService,
    TextSelectionService,
    TextSearchService,
    FormFieldsService,
    FormDesignerService,
  ],
})
export class AppComponent implements OnInit {
  public document: string =
    'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf';
  public resourceUrl: string =
    'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib';

  ngOnInit(): void {}
}

Form Designer Toolbar

The Form Designer toolbar appears at the top of the PDF Viewer and provides quick access to form field creation tools. It includes frequently used field types such as:

Show or Hide the Built-in Form Designer Toolbar

The visibility of the Form Designer toolbar is controlled by the isFormDesignerToolbarVisible() method. This method enables the application to display or hide the Form Designer tools based on requirements. Refer to the code example here.

  • The Form Designer toolbar is shown when form design is required.
  • The toolbar can be hidden to provide a cleaner viewing experience.

Customize the Built-in Form Designer Toolbar

The Form Designer toolbar can be customized by specifying the tools to display and arranging them in the required order using the FormDesignerToolbarItems property.

This customization helps limit the available tools and simplify the user interface. A code example is available here.

Key Points

  • Only the toolbar items listed are included, in the exact order specified.
  • Any toolbar items not listed remain hidden, resulting in a cleaner and more focused UI.

Adding Form Fields

Each toolbar item in form designer toolbar allows users to place the corresponding form field by selecting the tool and clicking on the desired location in the PDF document.

Adding a text box using the Form Designer toolbar

For more information about creating form fields in the PDF Viewer, refer to the Form Creation in Angular PDF Viewer documentation.

Move, Resize, and Edit Form Fields

Fields can be moved, resized, and edited directly in the PDF Viewer using the Form Designer.

  • A field is moved by selecting it and dragging it to the required position.

  • Fields are resized using the handles displayed on the field boundary.

Moveing and Resizing a form field

  • Selecting a field opens the Form Field Properties popover, which allows modification of the form field and widget annotation properties. Changes are reflected immediately in the viewer and are saved when the properties popover is closed.
    For more information, see Editing Form Fields

Edit Form Field properties

The Properties panel lets you customize the styles of form fields. Open the panel by selecting the Properties option in a field’s context menu.

Textbox style from UI showing font, color, and border settings

Deleting Form Fields

A form field is removed by selecting it and either clicking the Delete option in the Form Designer UI or pressing the Delete key on the keyboard. The selected form field and its associated widget annotation are permanently removed from the page.

For more information, see Deleting Form Fields

See Also

Form Designer in Vue PDF Viewer

21 Apr 20269 minutes to read

When Form Designer mode is enabled in the Syncfusion Vue PDF Viewer, a default Form Designer user interface (UI) is displayed. This UI includes a built-in toolbar for adding form fields such as text boxes, password fields, check boxes, radio buttons, drop down lists, list boxes, and signature and initial fields.

Using the Form Designer UI, users can place form fields on the PDF, move and resize them, configure field and widget properties, preview the designed form, and remove fields when required. The Form Designer toolbar can also be shown or hidden and customized to control the available tools based on application requirements, enabling flexible and interactive form design directly within the viewer.

Key Features

Add Form Fields
You can add the following form fields to the PDF:

Edit Form Fields
You can move, resize, align, distribute, copy, paste, and undo or redo changes to form fields.

Set Field Properties
You can configure field properties such as name, value, font, color, border, alignment, visibility, tab order, and required or read only state.

Control Field Behavior
You can enable or disable read only mode, show or hide fields, and control whether fields appear when printing the document.

Manage Form Fields
You can select, group or ungroup, reorder, and delete form fields as needed.

Save and Print Forms
Designed form fields can be saved into the PDF document and printed with their appearances.

Enable Form Designer

To enable form design features, inject the FormDesigner module into the PDF Viewer. After injecting the module, use the enableFormDesigner property or API to enable or disable the Form Designer option in the main toolbar (set to true to enable). The standalone examples below show enableFormDesigner set to false; change this to true to enable form design in those samples.

<template>
  <div>
    <ejs-pdfviewer
      id="pdfViewer"
      ref="pdfviewer"
      :documentPath="documentPath"
      :resourceUrl="resourceUrl"
      :enableFormDesigner="false"
      style="height:640px"
    />
  </div>
</template>

<script>
import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  Annotation,
  TextSelection,
  TextSearch,
  FormFields,
  FormDesigner,
} from '@syncfusion/ej2-vue-pdfviewer';

export default {
  components: { 'ejs-pdfviewer': PdfViewerComponent },
  provide: { PdfViewer: [Toolbar, Magnification, Navigation, Annotation, TextSelection, TextSearch, FormFields, FormDesigner] },
  data() {
    return {
      documentPath: 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf',
      resourceUrl: 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib',
    };
  }
};
</script>

Form Designer UI

When Form Designer mode is enabled in the Syncfusion Vue PDF Viewer, a default Form Designer user interface (UI) is displayed. This UI provides a built-in toolbar for adding common form fields such as text boxes, check boxes, radio buttons, drop down lists, and signature fields. Users can place fields on the PDF, select them, resize or move them, and configure their properties using the available editing options, enabling interactive form creation directly within the viewer.

FormDesigner

For more information about creating and editing form fields in the PDF Viewer, refer to Create form fields.

Form Designer Toolbar

The Form Designer toolbar appears at the top of the PDF Viewer and provides quick access to form field creation tools. It includes frequently used field types such as:

Each toolbar item allows users to place the corresponding form field by selecting the tool and clicking on the desired location in the PDF document.

Adding Text Box

Use the above code snippet to show or hide the Form Designer by injecting the Form Designer module. (see the Composition API sample).

For more information about creating and editing form fields in the PDF Viewer, refer to Create form fields.

Show or Hide the Built-in Form Designer Toolbar

You can control the visibility of the Form Designer toolbar using the isFormDesignerToolbarVisible() property. This allows the application to display or hide the Form Designer tools in the PDF Viewer based on user or workflow requirements.

Use this property to:

  • Show the Form Designer toolbar when form design is required
  • Hide the toolbar to provide a cleaner viewing experience
<template>
  <div>
    <button @click="showDesigner">Show Form Designer Toolbar</button>
    <button @click="hideDesigner">Hide Form Designer Toolbar</button>
    <ejs-pdfviewer id="pdfViewer" ref="pdfviewer" :documentPath="documentPath" :resourceUrl="resourceUrl" style="height:640px" />
  </div>
</template>

<script>
import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  Annotation,
  TextSelection,
  TextSearch,
  FormFields,
  FormDesigner,
} from '@syncfusion/ej2-vue-pdfviewer';

export default {
  components: { 'ejs-pdfviewer': PdfViewerComponent },
  provide: { PdfViewer: [Toolbar, Magnification, Navigation, Annotation, TextSelection, TextSearch, FormFields, FormDesigner] },
  data() {
    return {
      documentPath: 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf',
      resourceUrl: 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib',
    };
  },
  methods: {
    showDesigner() {
      const pdfviewer = this.$refs.pdfviewer.ej2Instances;
      pdfviewer.isFormDesignerToolbarVisible = true;
    },
    hideDesigner() {
      const pdfviewer = this.$refs.pdfviewer.ej2Instances;
      pdfviewer.isFormDesignerToolbarVisible = false;
    }
  }
};
</script>

Customize the Built-in Form Designer Toolbar

You can customize the Form Designer toolbar by specifying the tools to display and arranging them in the required order using the FormDesignerToolbarItems property.

This customization helps you limit the available tools and simplify the user interface.

Key Points

  • Include only the toolbar items you need, in the exact order you specify.
  • Any toolbar items not listed remain hidden, resulting in a cleaner and more focused UI.
<template>
  <div>
    <ejs-pdfviewer id="pdfViewer" ref="pdfviewer" :documentPath="documentPath" :resourceUrl="resourceUrl" style="height:640px" />
  </div>
</template>

<script>
import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  Annotation,
  TextSelection,
  TextSearch,
  FormFields,
  FormDesigner,
} from '@syncfusion/ej2-vue-pdfviewer';

export default {
  components: { 'ejs-pdfviewer': PdfViewerComponent },
  provide: { PdfViewer: [Toolbar, Magnification, Navigation, Annotation, TextSelection, TextSearch, FormFields, FormDesigner] },
  data() {
    return {
      documentPath: 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf',
      resourceUrl: 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib',
    };
  },
  mounted() {
    const pdfviewer = this.$refs.pdfviewer.ej2Instances;
    // Customize the Built-in Form Designer Toolbar
    pdfviewer.toolbarSettings = {
      formDesignerToolbarItems: [
        'TextboxTool',
        'PasswordTool',
        'CheckBoxTool',
        'RadioButtonTool',
        'DropdownTool',
        'ListboxTool',
        'DrawSignatureTool',
        'DeleteTool'
      ]
    };
  }
};
</script>

Move, Resize, and Edit Form Fields

You can move, resize, and edit an existing form field directly in the PDF Viewer using the Form Designer.

  • Move a field by selecting it and dragging it to the required position.

  • Resize a field using the handles displayed on the field boundary.

Moving and Resizing a form field

  • Edit a field by selecting it to open the Form Field Properties popover. The popover allows modification of the form field and widget annotation properties. Changes are reflected immediately in the viewer and are saved when the properties popover is closed.
    For more information, see Editing Form Fields.

Deleting Form Fields

You can remove a form field from the PDF document by selecting the field and using one of the following methods:

  • Click the Delete option in the Form Designer UI.
  • Press the Delete key on the keyboard after selecting the form field.

The selected form field and its associated widget annotation are permanently removed from the page.
For more information, see Deleting Form Fields

See Also

Form Designer in React PDF Viewer

21 Apr 20266 minutes to read

When Form Designer mode is enabled in the Syncfusion React PDF Viewer, a default Form Designer user interface (UI) is displayed. This UI includes a built in toolbar for adding form fields such as text boxes, password fields, check boxes, radio buttons, drop down lists, list boxes, and signature and initial fields.

Using the Form Designer UI, users can place form fields on the PDF, move and resize them, configure field and widget properties, preview the designed form, and remove fields when required. The Form Designer toolbar can also be shown or hidden and customized to control the available tools based on application requirements, enabling flexible and interactive form design directly within the viewer.

Key Features

Add Form Fields:
The following form fields can be added to the PDF:

Edit Form Fields:
Form fields can be moved, resized, aligned, distributed, copied, pasted, and have changes undone or redone.

Set Field Properties:
Field properties such as name, value, font, color, border, alignment, visibility, tab order, and required or read-only state can be configured.

Control Field Behavior:
Field behavior can be controlled, including enabling or disabling read-only mode, showing or hiding fields, and determining whether fields appear when printing the document.

Manage Form Fields:
Form fields can be selected, grouped or ungrouped, reordered, and deleted as needed.

Save and Print Forms:
Designed form fields can be saved into the PDF document and printed with their appearances.

Design Forms with UI interaction

When Form Designer mode is enabled in the Syncfusion React PDF Viewer, a default Form Designer user interface (UI) is displayed. This UI provides a built in toolbar for adding common form fields such as text boxes, check boxes, radio buttons, drop down lists, and signature fields. Users can place fields on the PDF, select them, resize or move them, and configure their properties using the available editing options, enabling interactive form creation directly within the viewer.

FormDesigner

For more information about creating and editing form fields in the PDF Viewer, refer to the Form Creation in React PDF Viewer documentation.

Enable Form Designer

Form design features are enabled by injecting the FormDesigner module into the PDF Viewer. The enableFormDesigner API controls whether the Form Designer option appears in the main toolbar.

import * as ReactDOM from 'react-dom/client';
import * as React from 'react';
import './index.css';
import { PdfViewerComponent, Toolbar, Magnification, Navigation, LinkAnnotation, BookmarkView, ThumbnailView, Print, TextSelection, Annotation, TextSearch, FormFields, FormDesigner, Inject } from '@syncfusion/ej2-react-pdfviewer';
export function App() {
  return (<div>
    <div className='control-section'>
      <PdfViewerComponent 
        id="container" 
        documentPath="https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf"
        resourceUrl="https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib"
        enableFormDesigner={true}
        style=height 
      >
        <Inject services={[Toolbar, Magnification, Navigation, Annotation, LinkAnnotation, BookmarkView, ThumbnailView,
          Print, TextSelection, TextSearch, FormFields, FormDesigner]} />
      </PdfViewerComponent>
    </div>
  </div>);
}
const root = ReactDOM.createRoot(document.getElementById('sample'));
root.render(<App />);

Form Designer Toolbar

The Form Designer toolbar appears at the top of the PDF Viewer and provides quick access to form field creation tools. It includes frequently used field types such as:

Show or Hide the Built-in Form Designer Toolbar

The visibility of the Form Designer toolbar is controlled by the isFormDesignerToolbarVisible() method. This method enables the application to display or hide the Form Designer tools based on requirements. Refer to the code example here.

  • The Form Designer toolbar is shown when form design is required.
  • The toolbar can be hidden to provide a cleaner viewing experience.

Customize the Built-in Form Designer Toolbar

The Form Designer toolbar can be customized by specifying the tools to display and arranging them in the required order using the FormDesignerToolbarItems property.

This customization helps limit the available tools and simplify the user interface. A code example is available here.

Key Points

  • Only the toolbar items listed are included, in the exact order specified.
  • Any toolbar items not listed remain hidden, resulting in a cleaner and more focused UI.

Adding Form Fields

Each toolbar item in form designer toolbar allows users to place the corresponding form field by selecting the tool and clicking on the desired location in the PDF document.

Adding a text box using the Form Designer toolbar

For more information about creating form fields in the PDF Viewer, refer to the Form Creation in React PDF Viewer documentation.

Move, Resize, and Edit Form Fields

Fields can be moved, resized, and edited directly in the PDF Viewer using the Form Designer.

  • A field is moved by selecting it and dragging it to the required position.

  • Fields are resized using the handles displayed on the field boundary.

Moveing and Resizing a form field

  • Selecting a field opens the Form Field Properties popover, which allows modification of the form field and widget annotation properties. Changes are reflected immediately in the viewer and are saved when the properties popover is closed.
    For more information, see Editing Form Fields

Edit Form Field properties

The Properties panel lets you customize the styles of form fields. Open the panel by selecting the Properties option in a field’s context menu.

Textbox style from UI showing font, color, and border settings

Deleting Form Fields

A form field is removed by selecting it and either clicking the Delete option in the Form Designer UI or pressing the Delete key on the keyboard. The selected form field and its associated widget annotation are permanently removed from the page.

For more information, see Deleting Form Fields

See Also